Package org.kapott.hbci.GV_Result

# Class GVRTANList.TANInfo

java.lang.Object
org.kapott.hbci.GV_Result.GVRTANList.TANInfo

Enclosing class:
  `GVRTANList`

public static class GVRTANList.TANInfo extends Object
Daten zu genau einer TAN

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`tan`
Die TAN selbst.
`Date`
`timestamp`
Zeitpunkt, wann die TAN verbraucht wurde.
`int`
`usagecode`
Code, wofür die TAN verwendet wurde, siehe auch `usageCodes`).
`static final String[]`
`usageCodes`
Feld zum "Übersetzen" der Verwendungs-Codes (`usagecode`) in einen Klartext.
`String`
`usagetxt`
Erläuterung für TAN-Verwendung.

## Constructor Summary

Constructors
Constructor
Description
`TANInfo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### usageCodes

public static final String[] usageCodes
Feld zum "Übersetzen" der Verwendungs-Codes (`usagecode`) in einen Klartext.

### usagecode

public int usagecode
Code, wofür die TAN verwendet wurde, siehe auch `usageCodes`). Gültige Codes sind:

- 0 - TAN wurde noch nicht verbraucht
- 1 - Stornierung einer Überweisung
- 2 - PIN-Änderung
- 3 - Aufheben der Kontosperre
- 4 - Aktivieren einer neuen TAN-Liste
- 5 - TAN wurde maschinell entwertet
- 6 - Mitteilungsversand
- 7 - Überweisung/Lastschrift
- 8 - Wertpapierverwaltung
- 9 - Dauerauftragsverwaltung
- ... (siehe Sourcecode)

### usagetxt

public String usagetxt
Erläuterung für TAN-Verwendung. Wenn `usagecode`==`99` ist, dann enthält dieser String optional einen erläuternden Text, wofür die TAN verbraucht wurde.

### tan

public String tan
Die TAN selbst. Ist nur dann gesetzt, wenn die TAN tatsächlich bereits verbraucht wurde, sonst ist dieses Feld `null`

### timestamp

public Date timestamp
Zeitpunkt, wann die TAN verbraucht wurde. Diese Variable ist nur dann ungleich `null`, wenn die TAN tatsächlich bereits verbraucht wurde

## Constructor Details

### TANInfo

public TANInfo()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`